Create Email Account
curl --request POST \
--url https://api.peachdeskai.com/api/v1/email-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"from_name": "<string>",
"daily_limit": 500,
"is_default_outbound": false,
"outbound_credentials": {},
"inbound_credentials": {}
}
'import requests
url = "https://api.peachdeskai.com/api/v1/email-accounts"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"from_name": "<string>",
"daily_limit": 500,
"is_default_outbound": False,
"outbound_credentials": {},
"inbound_credentials": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
from_name: '<string>',
daily_limit: 500,
is_default_outbound: false,
outbound_credentials: {},
inbound_credentials: {}
})
};
fetch('https://api.peachdeskai.com/api/v1/email-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/email-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'email' => 'jsmith@example.com',
'from_name' => '<string>',
'daily_limit' => 500,
'is_default_outbound' => false,
'outbound_credentials' => [
],
'inbound_credentials' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/email-accounts"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"from_name\": \"<string>\",\n \"daily_limit\": 500,\n \"is_default_outbound\": false,\n \"outbound_credentials\": {},\n \"inbound_credentials\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/email-accounts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"from_name\": \"<string>\",\n \"daily_limit\": 500,\n \"is_default_outbound\": false,\n \"outbound_credentials\": {},\n \"inbound_credentials\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/email-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"from_name\": \"<string>\",\n \"daily_limit\": 500,\n \"is_default_outbound\": false,\n \"outbound_credentials\": {},\n \"inbound_credentials\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"email": "<string>",
"from_name": "<string>",
"outbound_provider": "<string>",
"inbound_provider": "<string>",
"daily_limit": 123,
"is_default_outbound": true,
"is_active": true,
"outbound_verified_at": null,
"inbound_verified_at": null,
"sent_today": 0,
"outbound_credentials": {},
"inbound_credentials": {},
"created_at": null,
"updated_at": null
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Create Email Account
POST
/
api
/
v1
/
email-accounts
Create Email Account
curl --request POST \
--url https://api.peachdeskai.com/api/v1/email-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"from_name": "<string>",
"daily_limit": 500,
"is_default_outbound": false,
"outbound_credentials": {},
"inbound_credentials": {}
}
'import requests
url = "https://api.peachdeskai.com/api/v1/email-accounts"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"from_name": "<string>",
"daily_limit": 500,
"is_default_outbound": False,
"outbound_credentials": {},
"inbound_credentials": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
from_name: '<string>',
daily_limit: 500,
is_default_outbound: false,
outbound_credentials: {},
inbound_credentials: {}
})
};
fetch('https://api.peachdeskai.com/api/v1/email-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/email-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'email' => 'jsmith@example.com',
'from_name' => '<string>',
'daily_limit' => 500,
'is_default_outbound' => false,
'outbound_credentials' => [
],
'inbound_credentials' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/email-accounts"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"from_name\": \"<string>\",\n \"daily_limit\": 500,\n \"is_default_outbound\": false,\n \"outbound_credentials\": {},\n \"inbound_credentials\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/email-accounts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"from_name\": \"<string>\",\n \"daily_limit\": 500,\n \"is_default_outbound\": false,\n \"outbound_credentials\": {},\n \"inbound_credentials\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/email-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"email\": \"jsmith@example.com\",\n \"from_name\": \"<string>\",\n \"daily_limit\": 500,\n \"is_default_outbound\": false,\n \"outbound_credentials\": {},\n \"inbound_credentials\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"email": "<string>",
"from_name": "<string>",
"outbound_provider": "<string>",
"inbound_provider": "<string>",
"daily_limit": 123,
"is_default_outbound": true,
"is_active": true,
"outbound_verified_at": null,
"inbound_verified_at": null,
"sent_today": 0,
"outbound_credentials": {},
"inbound_credentials": {},
"created_at": null,
"updated_at": null
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
SessionAuthApiKeyAuth
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Body
application/json
Required string length:
1 - 64Available options:
ses, google_smtp, microsoft_smtp Maximum string length:
128Available options:
google_smtp, microsoft_smtp Required range:
1 <= x <= 100000Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes

